part of jaguar_reflect.base;

/// Makes param for route, interceptor pre, interceptor post and wrapper provider
/// calls
dynamic _makeParam(
    Inject inj,
    j.Context ctx,
    j.Response response) {
  if (inj is InputInject) {
    dynamic result = ctx.getInput(inj.resultFrom, id: inj.id);
    return result;
  } else if (inj is RouteResponseInject) {
    return response;
  } else if (inj is RequestInject) {
    return ctx.req;
  } else if (inj is HeaderInject) {
    return ctx.req.headers.value(inj.key);
  } else if (inj is HeadersInject) {
    return ctx.req.headers;
  } else if (inj is CookieInject) {
    return ctx.req.cookies
        .firstWhere((cookie) => cookie.name == inj.key, orElse: () => null)
        ?.value;
  } else if (inj is CookiesInject) {
    return ctx.req.cookies;
  } else if (inj is PathVarInject) {
    return castPathVar(inj, ctx.pathParams);
  } else if (inj is QueryParamsInject) {
    return ctx.queryParams;
  } else if (inj is PathParamsInject) {
    return ctx.pathParams;
  } else {
    throw new Exception('Unknown inject to post interceptor method!');
  }
}